Foreman-proxy fails silently when medium_id is not supplied

04/10/2014 09:25 PM - Stefan c

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.4.2
Description

Description of issue:

When using the foreman api v1 to create a host, and ommiting the medium_id, theforeman proxy fails immediatly and silenty without

logging in proxy.log that I haven't told it about a medium_id.

Specs:

Foreman 1.4.2 installed via foreman puppet modules

centos 6.4 x64

Foreman-proxy: DHCP and TFTP enabled, everything else disabled ( proxy installed via puppet modules )

How to reproduce:

- install foreman 1.4.2

- install foreman-proxy and enable just DHCP and TFTP

- create a new host via the API and don't supply the medium_id, supply just these parameters(adjusting the values for your setup):

architecture_id: 1, operatingsystem_id: '1', enabled: true, build: true, domain_id: 1, environment

_id: '1', ptable_id: 6, subnet_id: 1

 Output of logs:

- from foreman

- from foreman-proxy

- output via HTTP body from the API

you'll find all 3 in this gist https://gist.github.com/stefancocora/10369030

After ohadlevy advised over irc to add medium_id the TFTP build process started and completed successfuly.

Related issues:

Is duplicate of Foreman - Bug #6229: validate installation media exists for n... Closed 06/16/2014

History

#1 - 04/11/2014 08:34 AM - Lukas Zapletal

- Project changed from Foreman to Smart Proxy

- Category changed from API to TFTP

Thanks for reporting this.

#2 - 02/29/2016 09:54 AM - Anonymous

- Project changed from Smart Proxy to Foreman

- Category deleted (TFTP)

This looks like an issue in Foreman either api parameter validation, or orchestration (

https://github.com/theforeman/foreman/blob/develop/app/models/concerns/orchestration/tftp.rb#L76).
#3 - 02/29/2016 10:04 AM - Dominic Cleal

- Is duplicate of Bug #6229: validate installation media exists for new host if pxe_build added

#4 - 02/29/2016 10:04 AM - Dominic Cleal

- Status changed from New to Duplicate

This should have been fixed in Foreman 1.6 or higher via #6229.  If not, please re-open.  Thanks for the report.
